×

Discussion Board

Results 1 to 9 of 9
  1. #1
    Registered User
    Join Date
    Jan 2009
    Posts
    16

    Question Can we run S60 3rd edition FP1 application on 3rd edition (initial release) device?

    Hi
    Can we run application developed for S60 3rd edition FP1 on 3rd edition (initial release) device?

    I built QtS60HelloWorld application on S60 3rd edition FP1 for armv5 udeb, and successfully installed it on N73(bsaed on 3rd edition (initial release)). But it is not opening up. Also, I already installed Qt libraries (qt_libs_armv5_udeb.sisx).

    Thanks in advance
    Sumit

  2. #2
    Nokia Developer Champion
    Join Date
    Mar 2003
    Location
    Finland
    Posts
    9,545

    Re: Can we run S60 3rd edition FP1 application on 3rd edition (initial release) devic

    It depends. If you or the libraries you use use any functionality/APIs that only exist on FP1 or later, then it'll be hard to run the FP1 application on the earlier S60 release.

    There's no guaranteed forward compatibility between S60/Symbian versions.

    Only backward compatibility is guaranteed (to some extent).

    I.e., an FP1 application should run as-is on FP2, but no guarantees if you want to do it vice versa.

  3. #3
    Registered User
    Join Date
    Jan 2009
    Posts
    16

    Re: Can we run S60 3rd edition FP1 application on 3rd edition (initial release) devic

    Hi
    I am able to run Symbian's HelloWorld application built on FP1 in my N73, it means we can run FP1 applications on 3rd edition (initial release) device?

    But still I am not able to QtS60HelloWorld on the same device. To run Qt applications, I installed following sis files:
    pips_nokia_1_3_SS.sis
    qt_libs_armv5_udeb.sisx

    Also, I built Qt libraries for armv5 urel and pushed them into the device by including in my application's pkg file (only for once).

    Please let me know if I am missing any step.

    Regards
    Sumit

  4. #4
    Nokia Developer Moderator
    Join Date
    May 2007
    Posts
    468

    Re: Can we run S60 3rd edition FP1 application on 3rd edition (initial release) devic

    Qt for S60 doesn't provide official support for 3rd edition, only 3rd edition FP1 onwards.

    Cheers,
    Jack

  5. #5
    Registered User
    Join Date
    Jan 2009
    Posts
    16

    Re: Can we run S60 3rd edition FP1 application on 3rd edition (initial release) devic

    Thanks for your reply Jack

    But it is mentioned at Trolltech's site that Qt has been tested on N73, here is the link of that document:

    http://labs.trolltech.com/page/QtforS60FAQ

    Q: Which devices has Qt been tested on?
    A: E71, N95, N75, 5800 XpressMusic, E90, N73 and 6210 Navigator.
    Are there any software updates for N73 to use Qt over it??

    Regards
    Sumit

  6. #6
    Registered User
    Join Date
    Dec 2006
    Posts
    2,280

    Re: Can we run S60 3rd edition FP1 application on 3rd edition (initial release) devic

    Hi,

    No guarantees on 3rd Edition, although it probably should work...

    Just the pips SIS file is not enough, you need to install all of Open C.

    Mark

  7. #7
    Nokia Developer Moderator
    Join Date
    May 2007
    Posts
    468

    Re: Can we run S60 3rd edition FP1 application on 3rd edition (initial release) devic

    Hi,
    actually I believe PIPS is enough. But it doesn't change the fact that 3.0 is not supported.

    Cheers,
    Jack

  8. #8
    Registered User
    Join Date
    Jan 2009
    Posts
    16

    Re: Can we run S60 3rd edition FP1 application on 3rd edition (initial release) devic

    Hi
    On 5th edition device, after installing Qt libraries, we can install our app's sis file only. Please let me know if there is any other dependency.

  9. #9
    Registered User
    Join Date
    Dec 2006
    Posts
    2,280

    Re: Can we run S60 3rd edition FP1 application on 3rd edition (initial release) devic

    I'm not so certain on that Jack, aren't there dependencies on things like SSL? And possibly zlib?

    You're 100% correct to state that 3.0 isn't supported. However, there's no reason why it can't be "in theory" as I understand it, it's just a case of "you have to draw a line somewhere". If people are willing to experiment it'd be interesting to find out if we can support several million more devices for free!

    Mark

    P.S. 5th Edition has all of Open C/C++ pre-installed in the firmware.

Similar Threads

  1. Replies: 35
    Last Post: 2009-04-11, 14:36
  2. S60 3rd Edition (Initial Release)
    By yahlowgrin in forum Symbian Tools & SDKs
    Replies: 1
    Last Post: 2009-02-01, 11:05
  3. Application terminates abruptly w/o error on every device of S60 3rd Edition FP-2
    By divs in forum Mobile Java Networking & Messaging & Security
    Replies: 2
    Last Post: 2008-11-05, 14:54
  4. Replies: 4
    Last Post: 2008-01-04, 22:33
  5. When will 3rd Edition FP1 Maintenance Release available ?
    By jpgaur in forum Symbian Tools & SDKs
    Replies: 2
    Last Post: 2007-05-03, 13:35

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •